<template>
    <tbody>
    <tr>
        <td>{{user.company}} </td>
        <td>{{user.email}}</td>
        <td>{{user.logo}}</td>
        <td>{{user.website}}</td>
        <td>{{user.address}}</td>
        <td v-if="lvl >= 2" class="btn-group btn-admin">
            <button @click="deleteUser(user.id)" type="button" class="btn btn-danger">Удалить</button>
            <button @click="openEditModal(user)" type="button" class="btn btn-warning">Изменить</button>

            <!-- Модальное окно для редактирования -->
            <edit-company-modal
                :show="showEditModal"
                :editableUser="editableUser"
                @close="showEditModal = false"
            />
        </td>
    </tr>
    </tbody>
</template>

<script>
import {mapActions} from "vuex";
import EditCompanyModal from "./EditCompanyModal.vue";

export default {
    components: {
        EditCompanyModal,
    },
    data() {
        return {
            showEditModal: false,
            editableUser: null
        };
    },
    name: 'UserCard',
    props: ['user', 'lvl'],
    methods: {
        ...mapActions('companies', ['deleteUser', 'editUser']),
        openEditModal(user) {
            this.editableUser = {...user};
            this.showEditModal = true;
        },
    }
}
</script>

<style scoped>
.btn-admin {
    padding-top: 26px;
}
</style>
